--- 
ruleset: 
  - rule: 
      name: 'Continue'
      conditions: 
        AND: 
          callingnumber: 
            - '^\+49[\d]+$'
            - '^\+44[\d]+$'
          callednumber: '7100'
      actions:
        ldap:
          match_against:
            - telephoneNumber
            - mobile
          return: '{{ sn }} {{ company }}'
        mail:
          active: 'true'
          subject: 'mail/curri_subject.txt'
          body: 'mail/curri_body.html'
          mail_from: 'abc.def@ghj.com'
          mail_to: 
            - 'abc.def@ghj.com'
        curri:
          decision: 'Permit'
          directives: 
            continue: 
                modify:
                    callingnumber: '+49123456789'
                    callednumber: '+49123456789' 
                    callingname: 'Hans Wurst'
                    calledname: 'Zwerg Nase'
                greetingid: 'Welcome'
  - rule: 
      name: 'Divert'
      conditions: 
        AND: 
          callednumber: 
            - '^\d\d\d\d$'
          callingnumber: '+49123456789'
      actions: 
        mail:
          active: 'true'
          subject: 'mail/curri_subject.txt'
          body: 'mail/curri_body.html'
          mail_from: 'abc.def@ghj.com'
          mail_to: 
            - 'abc.def@ghj.com'
        curri:
          decision: 'Permit'
          directives: 
            divert:
                destination: '+49123456789'
                modify:
                    callingnumber: '+49123456789'
                    callednumber: '+49123456789'
                    callingname: 'Hans Wurst'
                    calledname: 'Zwerg Nase'
                resetcallhistory: 'resetAllHops'
  - rule: 
      name: 'Reject'
      conditions: 
        OR: 
          callednumber: '7100'
      actions: 
        mail:
          active: 'true'
          subject: 'mail/curri_subject.txt'
          body: 'mail/curri_body.txt'
          mail_from: 'abc.def@ghj.com'
          mail_to: 
            - 'abc.def@ghj.com'
        curri:
          decision: 'Deny'
          directive: 
            reject:
                announcementid: 'NotAuthorized'
                reason: 'blocked'
  - rule: 
      name: 'UCCX'
      conditions: 
        AND: 
          callednumber:
            - '^9\d\d\d'
            - '^1\d\d\d'
      actions:
        uccx:
          ctiports:
            - '^9\d\d\d'
          agents:
            - '^1\d\d\d'
        curri:
          decision: 'Permit'
  - rule: 
      name: 'Error'
      conditions: 
        OR: 
          callednumber: '9999'
      actions: 
        mail:
          active: 'true'
          subject: 'mail/curri_subject.txt'
          body: 'mail/curri_body.txt'
          mail_from: 'abc.def@ghj.com'
          mail_to: 
            - 'abc.def@ghj.com'
        curri:
          decision: permit
          directives: 
            reject:
                announcementid: 'ConferenceNowEnterPIN'
                reason: 'blocked'